Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestHead.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestHead.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORequestHead.cs	(revision 60)
@@ -0,0 +1,495 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 請求ヘッダアクセスクラス
+    /// </summary>
+    public class IORequestHead : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 請求データフィールド並び
+        /// </summary>
+        public enum NameColumn
+        {
+            RequestNo = 0,
+            ReqConstructionCode,
+            OrderNo,
+            RequestMonth,
+            OrderersDivision,
+            OrderersCode,
+            OrderersName,
+            ReqConstructionName,
+            RequestTotalAmount,
+            RequestAmount,
+            TaxAmount,
+            UnpaidAmount,
+            Note,
+            AssignedFlg,
+            InvoiceNo,
+            ENTRY_DATE,
+            UPDATE_DATE,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="connectionString"></param>
+        public IORequestHead()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region 請求ヘッダ検索
+        /// <summary>
+        /// 請求ヘッダ検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<RequestHead> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = "SELECT";
+                strcmd += " RequestNo";
+                strcmd += " ,ReqConstructionCode";
+                strcmd += " ,OrderNo";
+                strcmd += " ,RequestMonth";
+                strcmd += " ,OrderersDivision";
+                strcmd += " ,OrderersCode";
+                strcmd += " ,OrderersName";
+                strcmd += " ,ReqConstructionName";
+                strcmd += " ,RequestTotalAmount";
+                strcmd += " ,RequestAmount";
+                strcmd += " ,TaxAmount";
+                strcmd += " ,UnpaidAmount";
+                strcmd += " ,Note";
+                strcmd += " ,AssignedFlg";
+                strcmd += " ,InvoiceNo";
+                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " FROM RequestHead";
+                strcmd += AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    RequestHead work = new RequestHead();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求ヘッダ複数追加
+        /// <summary>
+        /// 請求ヘッダ複数追加
+        /// </summary>
+        /// <param name="data">請求データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<RequestHead> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                foreach (RequestHead work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求ヘッダ１件追加
+        /// <summary>
+        /// 請求ヘッダ１件追加
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool InsertAction(RequestHead data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "INSERT INTO RequestHead";
+                strcmd += " VALUES (";
+
+                strcmd += string.Format(" {0}", data.RequestNo.ToString());
+
+                strcmd += string.Format(", {0}", data.ReqConstructionCode.ToString());
+                strcmd += string.Format(", {0}", data.OrderNo.ToString());
+
+                strcmd += string.Format(", {0}", data.RequestMonth.ToString());
+                strcmd += string.Format(", {0}", data.OrderersDivision.ToString());
+                strcmd += string.Format(", {0}", data.OrderersCode.ToString());
+                strcmd += string.Format(", '{0}'", data.OrderersName.ToString());
+                strcmd += string.Format(", '{0}'", data.ReqConstructionName.ToString());
+                strcmd += string.Format(", {0}", data.RequestTotalAmount.ToString());
+                strcmd += string.Format(", {0}", data.RequestAmount.ToString());
+                strcmd += string.Format(", {0}", data.TaxAmount.ToString());
+                strcmd += string.Format(", {0}", data.UnpaidAmount.ToString());
+                strcmd += string.Format(", '{0}'", data.Note.ToString());    
+                strcmd += string.Format(", {0}", data.AssignedFlg.ToString());
+                strcmd += string.Format(", {0}", data.InvoiceNo.ToString());
+
+                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求ヘッダ更新（複数件更新）
+
+        /// <summary>
+        /// 請求ヘッダ更新（複数件更新）
+        /// </summary>
+        /// <param name="lstReqHead"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool UpdateAction(List<RequestHead> lstReqHead, bool bConnect = true)
+        {
+            foreach (RequestHead ReqHead in lstReqHead)
+            {
+                string sql = CreatePrimarykeyString(ReqHead.RequestNo);
+
+                bool ret = UpdateAction(sql, ReqHead, bConnect);
+                if (ret == false)
+                {
+                    return false;
+                }
+            }
+
+            return true;
+        }
+
+        #endregion
+
+        #region 請求ヘッダ更新（１件更新）
+        /// <summary>
+        /// 請求データ更新（１件更新）
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">請求ヘッダ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, RequestHead data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE RequestHead";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" ReqConstructionCode = {0}", data.ReqConstructionCode.ToString());
+                strcmd += string.Format(",OrderNo = {0}", data.OrderNo.ToString());
+                strcmd += string.Format(",RequestMonth = {0}", data.RequestMonth.ToString());
+
+                strcmd += string.Format(",OrderersDivision = {0}", data.OrderersDivision.ToString());
+                strcmd += string.Format(",OrderersCode = {0}", data.OrderersCode.ToString());
+                strcmd += string.Format(",OrderersName = '{0}'", data.OrderersName.ToString());
+
+
+                strcmd += string.Format(",ReqConstructionName = '{0}'", data.ReqConstructionName.ToString());
+                strcmd += string.Format(",RequestTotalAmount = {0}", data.RequestTotalAmount.ToString());
+                strcmd += string.Format(",RequestAmount = {0}", data.RequestAmount.ToString());
+                strcmd += string.Format(",TaxAmount = {0}", data.TaxAmount.ToString());
+                strcmd += string.Format(",UnpaidAmount = {0}", data.UnpaidAmount.ToString());
+                strcmd += string.Format(",Note = '{0}'", data.Note.ToString());
+                
+                strcmd += string.Format(",AssignedFlg = {0}", data.AssignedFlg.ToString());
+                strcmd += string.Format(",InvoiceNo = {0}", data.InvoiceNo.ToString());
+
+                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+
+                //strcmd += string.Format(" Where RequestNo = {0}", data.RequestNo.ToString());
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求ヘッダ削除
+        /// <summary>
+        /// 請求データ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM RequestHead", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region OracleDataReaderより構造体へセットする
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref RequestHead wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.RequestNo = int.Parse(objwrk[(int)NameColumn.RequestNo].ToString());
+                
+                wrk.ReqConstructionCode = int.Parse(objwrk[(int)NameColumn.ReqConstructionCode].ToString());
+                wrk.OrderNo = int.Parse(objwrk[(int)NameColumn.OrderNo].ToString());
+
+                wrk.RequestMonth = int.Parse(objwrk[(int)NameColumn.RequestMonth].ToString());
+                wrk.OrderersDivision = int.Parse(objwrk[(int)NameColumn.OrderersDivision].ToString());
+                wrk.OrderersCode = int.Parse(objwrk[(int)NameColumn.OrderersCode].ToString());
+                wrk.OrderersName = objwrk[(int)NameColumn.OrderersName].ToString();
+
+                wrk.ReqConstructionName = objwrk[(int)NameColumn.ReqConstructionName].ToString();
+
+                wrk.RequestTotalAmount = int.Parse(objwrk[(int)NameColumn.RequestTotalAmount].ToString());
+                wrk.RequestAmount = int.Parse(objwrk[(int)NameColumn.RequestAmount].ToString());
+                wrk.TaxAmount = int.Parse(objwrk[(int)NameColumn.TaxAmount].ToString());
+                wrk.UnpaidAmount = int.Parse(objwrk[(int)NameColumn.UnpaidAmount].ToString());
+
+                wrk.Note = objwrk[(int)NameColumn.Note].ToString();
+
+                wrk.AssignedFlg = int.Parse(objwrk[(int)NameColumn.AssignedFlg].ToString());
+                wrk.InvoiceNo = int.Parse(objwrk[(int)NameColumn.InvoiceNo].ToString());
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRY_DATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATE_DATE].ToString());
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 構造体クリア
+        /// <summary>
+        /// 構造体クリア
+        /// </summary>
+        /// <param name="wrk"></param>
+        public void ClearStruct(ref RequestHead wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.RequestNo = 0;
+                
+                wrk.ReqConstructionCode = 0;
+                wrk.OrderNo = 0;
+                wrk.RequestMonth = 0;
+
+                wrk.OrderersDivision = 0;
+                wrk.OrderersCode = 0;
+
+                wrk.OrderersName = "";
+                wrk.ReqConstructionName = "";
+                
+                wrk.RequestTotalAmount = 0;
+                wrk.RequestAmount = 0;
+                wrk.TaxAmount = 0;
+                wrk.UnpaidAmount = 0;
+                
+                wrk.Note = "";
+
+                wrk.AssignedFlg = 0;
+                wrk.InvoiceNo = 0;
+
+                wrk.EntryDate = DateTime.Now;
+                wrk.UpdateDate = DateTime.Now;
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="RequestNo">請求No</param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int RequestNo)
+        {
+            string strWork = string.Empty;
+            try
+            {
+                strWork = string.Format(" Where RequestNo = {0}", RequestNo.ToString());
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+
+        #region サブキー検索の文字列を返す
+        /// <summary>
+        /// サブキー検索の文字列を返す
+        /// </summary>
+        /// <param name="ReqConstructionCode">請求工事番号</param>
+        /// <param name="OrderNo">受付番号</param>
+        /// <returns>Where文字列</returns>
+        public string CreateSubkeyString(int ReqConstructionCode, int OrderNo = 0)
+        {
+            string strWork = string.Empty;
+            try
+            {
+                strWork = string.Format(" Where ReqConstructionCode = {0}", ReqConstructionCode.ToString() );
+                if (OrderNo > 0)
+                {
+                    strWork += string.Format(" And OrderNo = {0}", OrderNo.ToString());
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+
+        #region 請求Noの採番
+        public int NumberingRequestNo(int RequestMonth, bool bConnect = true)
+        {
+            int ret = -1;
+
+            string  sql = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                sql = string.Format("SELECT IFNULL(MAX(RequestNo),0) FROM RequestHead WHERE RequestMonth = {0}", RequestMonth) ;
+
+                // SQL実行
+                if (!ExecuteReader(sql, ref arData, bConnect)) return -1;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    ret = int.Parse(objwrk[0].ToString());
+                    break;
+                }
+
+                if (ret > 0)
+                {
+                    ret++;
+                }
+                else
+                {
+                    ret = (RequestMonth * 1000) + 1;
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, sql);
+            }
+            return ret;
+
+        }
+        #endregion
+
+    }
+
+}
+
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/DepositData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/DepositData.cs	(revision 59)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/DepositData.cs	(revision 60)
@@ -16,7 +16,9 @@
         private int m_OrderersCode = 0;                         // 発注者コード
         private string m_TargetDate = string.Empty;             // 対象年月
         private int m_SeqNo = 0;                                // 連番
+        private int m_BusinessPeriod = 0;                         // 営業期
         private DateTime m_DepositDate = DateTime.MinValue;     // 入金日
+        private int m_DepositAmount = 0;                        // 入金金額
         private int m_DepositAmountCash = 0;                    // 入金金額（現金）
         private int m_DepositAmountBill = 0;                    // 入金金額（手形）
         private DateTime m_EntryDate = DateTime.Now;            // 登録年月日
@@ -64,6 +66,15 @@
         }
 
         /// <summary>
+        /// 営業期
+        /// </summary>
+        public int BusinessPeriod
+        {
+            get { return m_BusinessPeriod; }
+            set { m_BusinessPeriod = value; }
+        }
+
+        /// <summary>
         /// 入金日
         /// </summary>
         public DateTime DepositDate
@@ -73,6 +84,15 @@
         }
 
         /// <summary>
+        /// 入金金額
+        /// </summary>
+        public int DepositAmount
+        {
+            get { return m_DepositAmount; }
+            set { m_DepositAmount = value; }
+        }
+
+        /// <summary>
         /// 入金金額（現金）
         /// </summary>
         public int	DepositAmountCash
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/InvoiceData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/InvoiceData.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/InvoiceData.cs	(revision 60)
@@ -0,0 +1,204 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+
+namespace ProcessManagement.DataModel
+{
+    /// <summary>
+    /// 請求書データ
+    /// </summary>
+    public class InvoiceData
+    {
+        #region メンバ変数
+        private int         m_InvoiceNo = 0;                    // 請求書No
+        private int         m_OrderersDivision = 0;             // 発注者区分
+        private int         m_OrderersCode = 0;                 // 発注者コード
+        private int         m_RequestMonth = 0;                 // 請求月
+        private int         m_SeqNo = 0;                        // 連番
+        private DateTime    m_CretateDate = DateTime.MinValue;  // 作成日
+        private DateTime    m_RequestDate = DateTime.MinValue;  // 請求日
+        private string      m_RequestName = "";                 // 請求先名
+        private int         m_TotalAmount = 0;                  // 税込み合計金額
+        private int         m_TaxAmount = 0;                    // 消費税金額
+        private string      m_Comment1 = "";                    // コメント1
+        private string      m_Comment2 = "";                    // コメント2
+        private string      m_Comment3 = "";                    // コメント3
+        private string      m_Comment4 = "";                    // コメント4
+        private string      m_Comment5 = "";                    // コメント5
+        private int         m_CompleteFlg = 0;                  // 出力完了フラグ
+        private DateTime    m_EntryDate = DateTime.Now;         // 登録日付
+        private DateTime    m_UpdateDate = DateTime.Now;        // 更新日付
+        #endregion
+
+        #region コンストラクタ
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 請求書No
+        /// </summary>
+        public int InvoiceNo
+        {
+            get { return m_InvoiceNo; }
+            set { m_InvoiceNo = value; }
+        }
+
+        /// <summary>
+        /// 発注者区分
+        /// </summary>
+        public int OrderersDivision
+        {
+            get { return m_OrderersDivision; }
+            set { m_OrderersDivision = value; }
+        }
+
+        /// <summary>
+        /// 発注者コード
+        /// </summary>
+        public int OrderersCode
+        {
+            get { return m_OrderersCode; }
+            set { m_OrderersCode = value; }
+        }
+
+        /// <summary>
+        /// 請求月
+        /// </summary>
+        public int RequestMonth
+        {
+            get { return m_RequestMonth; }
+            set { m_RequestMonth = value; }
+        }
+
+        /// <summary>
+        /// 連番
+        /// </summary>
+        public int SeqNo
+        {
+            get { return m_SeqNo; }
+            set { m_SeqNo = value; }
+        }
+
+        /// <summary>
+        /// 作成日
+        /// </summary>
+        public DateTime CretateDate
+        {
+            get { return m_CretateDate; }
+            set { m_CretateDate = value; }
+        }
+
+        /// <summary>
+        /// 請求日
+        /// </summary>
+        public DateTime RequestDate
+        {
+            get { return m_RequestDate; }
+            set { m_RequestDate = value; }
+        }
+
+        /// <summary>
+        /// 請求先名
+        /// </summary>
+        public string RequestName
+        {
+            get { return m_RequestName; }
+            set { m_RequestName = value; }
+        }
+
+        /// <summary>
+        /// 税込み合計金額
+        /// </summary>
+        public int TotalAmount
+        {
+            get { return m_TotalAmount; }
+            set { m_TotalAmount = value; }
+        }
+
+        /// <summary>
+        /// 消費税金額
+        /// </summary>
+        public int TaxAmount
+        {
+            get { return m_TaxAmount; }
+            set { m_TaxAmount = value; }
+        }
+
+        /// <summary>
+        /// コメント1
+        /// </summary>
+        public string Comment1
+        {
+            get { return m_Comment1; }
+            set { m_Comment1 = value; }
+        }
+
+        /// <summary>
+        /// コメント2
+        /// </summary>
+        public string Comment2
+        {
+            get { return m_Comment2; }
+            set { m_Comment2 = value; }
+        }
+
+        /// <summary>
+        /// コメント3
+        /// </summary>
+        public string Comment3
+        {
+            get { return m_Comment3; }
+            set { m_Comment3 = value; }
+        }
+
+        /// <summary>
+        /// コメント4
+        /// </summary>
+        public string Comment4
+        {
+            get { return m_Comment4; }
+            set { m_Comment4 = value; }
+        }
+
+        /// <summary>
+        /// コメント5
+        /// </summary>
+        public string Comment5
+        {
+            get { return m_Comment5; }
+            set { m_Comment5 = value; }
+        }
+
+        /// <summary>
+        /// 出力完了フラグ
+        /// </summary>
+        public int CompleteFlg
+        {
+            get { return m_CompleteFlg; }
+            set { m_CompleteFlg = value; }
+        }
+
+        /// <summary>
+        /// 登録日付
+        /// </summary>
+        public DateTime EntryDate
+        {
+            get { return m_EntryDate; }
+            set { m_EntryDate = value; }
+        }
+
+        /// <summary>
+        /// 更新日付
+        /// </summary>
+        public DateTime UpdateDate
+        {
+            get { return m_UpdateDate; }
+            set { m_UpdateDate = value; }
+        }
+
+        #endregion
+
+    }
+}
